pw_impl_metadata_events Struct Reference
Implementation API » Metadata Impl

Metadata events, listen to them with pw_impl_metadata_add_listener. More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| the metadata is destroyed More...
void(* | free )(void *data)
| the metadata is freed More...
int(* | property )(void *data, uint32_t subject, const char *key, const char *type, const char *value)
| a property changed More...

## Detailed Description

Metadata events, listen to them with pw_impl_metadata_add_listener.

## Field Documentation

## version

uint32_t pw_impl_metadata_events::version

## destroy

void(* pw_impl_metadata_events::destroy) (void *data)

the metadata is destroyed

## free

void(* pw_impl_metadata_events::free) (void *data)

the metadata is freed

## property

int(* pw_impl_metadata_events::property) (void *data, uint32_t subject, const char *key, const char *type, const char *value)

a property changed

The documentation for this struct was generated from the following file:

- pipewire/impl-metadata.h